import * as $dara from '@darabonba/typescript';
import { ListNatIpCidrsResponseBody } from "./ListNatIpCidrsResponseBody";
export declare class ListNatIpCidrsResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ListNatIpCidrsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
